# Graphite

## Install

<https://graphite.readthedocs.io/en/latest/install.html#docker>

```bash
# Generate the network
podman run ghcr.io/containers/podlet --description Graphite \
podman network create --ipv6 graphite > podman/incubating/graphite/graphite.network

# Generate the systemd container service
podman run ghcr.io/containers/podlet --description Graphite \
podman run \
--name graphite \
--restart=always \
--network=systemd-graphite \
-p 8080:80 \
-p 2003-2004:2003-2004 \
-p 2023-2024:2023-2024 \
-p 8125:8125/udp \
-p 8126:8126 \
ghcr.io/deniszh/graphite-statsd > podman/incubating/graphite/graphite.container
```

Copy the graphite.container and graphite.network file to the server you want to run it on

```bash
export PODMAN_SERVER=
scp podman/incubating/graphite/graphite.network $PODMAN_SERVER:/etc/containers/systemd/
scp podman/incubating/graphite/graphite.container $PODMAN_SERVER:/etc/containers/systemd/

ssh $PODMAN_SERVER systemctl daemon-reload
ssh $PODMAN_SERVER systemctl enable --now graphite.network
ssh $PODMAN_SERVER systemctl enable --now graphite.service
```
